# Copyright (C) 2003-2005 Kouichirou Eto, All rights reserved.

require "kconv"

class String
  def sjistoeuc;	self.kconv(Kconv::EUC, Kconv::SJIS);	end
  def sjistojis;	self.kconv(Kconv::JIS, Kconv::SJIS);	end
  def euctosjis;	self.kconv(Kconv::SJIS, Kconv::EUC);	end
  def euctojis;		self.kconv(Kconv::JIS, Kconv::EUC);	end
  def jistosjis;	self.kconv(Kconv::SJIS, Kconv::JIS);	end
  def jistoeuc;		self.kconv(Kconv::EUC, Kconv::JIS);	end
end
